%define major 2
%define libname %mklibname mp4v2_ %major
%define develname %mklibname -d mp4v2
%define olddevelname %mklibname -d mpeg4ip
%define oname mp4v2
%define oversion 2.0.0

Summary: Library for working with files using the mp4 container format
Name: libmp4v2
Version: 2.1.0
Release: %mkrel 1
License: MPLv1.1
Group: Sound
URL: http://code.google.com/p/mp4v2/
Source0: http://mp4v2.googlecode.com/files/mp4v2-trunk-r507.tar.xz
Patch1: 0001-Fix-make-dist.patch
Patch2: 0002-Install-man-man3-BTW-like-in-libmp4v2-1.5.0.1.patch
Patch3: 0003-Fix-out-of-tree-builds-182.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

#obsolete old programs now removed from repo and linked to old mp4v
Obsoletes: mediatomb
Obsoletes: %{_lib}tunepimp-devel
Obsoletes: %{_lib}tunepimp5
Obsoletes: python-tunepimp
Obsoletes: tunepimp-plugins
Obsoletes: tunepimp-utils
Obsoletes: listen

%description
The libmp4v2 library provides an abstraction layer for working with files
using the mp4 container format. This library is developed by mpeg4ip project
and is an exact copy of the library distributed in the mpeg4ip package.


%package -n %libname
Group: System/Libraries
Summary: Library for working with files using the mp4 container format
Obsoletes: libmp4v2_0 = 2.0
Obsoletes: libmp4v2_1 = 2.0

%description -n %libname
The libmp4v2 library provides an abstraction layer for working with files
using the mp4 container format. This library is developed by mpeg4ip project
and is an exact copy of the library distributed in the mpeg4ip package.

%package -n %develname
Summary: Development files for the mp4v2 library
Group: Development/Libraries
Requires: %{libname} = %{version}-%{release}
Provides: libmp4v2-devel = %{version}-%{release}
Obsoletes: libmp4v2-devel = 2.0

%description -n %develname
Development files and documentation needed to develop and compile programs
using the libmp4v2 library.

%package utils
Group: Sound
Summary: Command line utils to handle MP4 metadata
Obsoletes: libmp4v2-utils = 2.0

%description utils
The libmp4v2 library provides an abstraction layer for working with files
using the mp4 container format. This library is developed by mpeg4ip project
and is an exact copy of the library distributed in the mpeg4ip package.

This contains the command line example utilities.

%prep
%setup -qn mp4v2-trunk
%patch1 -p1 -b .doc
%patch2 -p1 -b .doc2
%patch3 -p1 -b .doc3

%build
autoreconf --force --install --verbose
%configure2_5x --disable-static
%{__make} %{?_smp_mflags}
%{__make} txt
export LANG=en_US.utf8
%{__make} api


%install
rm -rf %{buildroot}
%makeinstall_std

rm -rf %{buildroot}%{_mandir}/manm/ %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%files utils
%defattr(-,root,root,0755)
%doc COPYING
%{_bindir}/*

%files -n %libname
%defattr(-,root,root,0755)
%doc COPYING
%{_libdir}/libmp4v2.so.%{major}*

%files -n %develname
%defattr(-,root,root,0755)
%doc doc/articles/txt/*txt
%{_includedir}/mp4v2/
%{_libdir}/*.so
%{_mandir}/man?/*


%changelog
* Wed May 31 2017 bb2 <bb2> 2.2.0-1pclos2017
- update from fedora svnversion 507

* Sat Feb 21 2015 bb <bb> 2.0.2-3pclos2015
- obsolete old programs with no dependencies
- that have been removed from repo and linked
- to old library major 1

* Fri Feb 20 2015 bb <bb> 2.0.1-2pclos2015
- update to 2.0.0 from 1.95
- change library major 2

* Mon Feb 22 2011 Texstar <texstar at gmail.com> 1.9.1-1pclos2011
- fix package for 2011


